using System.Text.Json.Serialization;

namespace Elecciones.Core.DTOs;

public class CodigoAmbitoDto
{
    [JsonPropertyName("distritoId")]
    public string DistritoId { get; set; } = null!;

    [JsonPropertyName("seccionProvincialId")]
    public string? SeccionProvincialId { get; set; }

    [JsonPropertyName("seccionId")]
    public string? SeccionId { get; set; }

    [JsonPropertyName("municipioId")]
    public string? MunicipioId { get; set; }

    [JsonPropertyName("circuitoId")]
    public string? CircuitoId { get; set; }

    [JsonPropertyName("establecimientoId")]
    public string? EstablecimientoId { get; set; }

    [JsonPropertyName("mesaId")]
    public string? MesaId { get; set; }
}